<app-header></app-header>
<div id="pagination">
  <select id="limitSelect" (change)="limitChange()">
    <option value="5">5</option>
    <option value="10">10</option>
    <option value="15">15</option>
  </select>
  <button *ngIf="previousPage" (click)="goToPrevious()">{{page-1}}</button>
  <button id="selectedPageBtn"><b>{{page}}</b></button>
  <button *ngIf="nextPage" (click)="goToNext()">{{page+1}}</button>
</div>
<div id="mainDiv">
  <div class="deletedProduct" *ngFor="let product of products">
    <div class="oneProduct">
      <div id="titleDiv">
        <h3>{{product.title}}</h3>
      </div>
      <div id="descDiv">
        <h4>{{product.desc}}</h4>
      </div>
      <div *ngFor="let image of product.images; let firstItem = first;" id="imageDiv">
        <p *ngIf="firstItem"><img src="{{baseUrl}}{{image.url}}"></p>
      </div>
    <button id="undeleteBtn" (click)="undelete(product._id)">Undelete</button>
    </div>
  </div>
</div>
